# w-line

Adds supports for \[LineComponent]

## Implementation  Details

> **Component Selector:** 'wm-line'

## Class inheritance

LineComponent extends [GraphicsComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/graphics.md).

## Support

### Properties

| Property              | Get/Set | Notify Changes | Details                                                                                                                                                                 |
| --------------------- | ------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| beginX: number        | Yes/No  | No             | Specifies the X position of one end of the line (the distance from the left edge of the window).                                                                        |
| beginY: string        | Yes/No  | No             | Specifies the Y position of one end of the line (the distance from the top of the window).                                                                              |
| endX: number          | Yes/No  | No             | Specifies the X position of the other end of the line (the distance from the left edge of the window).                                                                  |
| endY: number          | Yes/No  | No             | Specifies the Y position of the other end of the line (the distance from the top of the window).                                                                        |
| lineColor: string     | Yes/No  | No             | Inherited from BaseControlComponent [GraphicsComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/graphics.md).            |
| lineStyle: LineStyle  | Yes/No  | No             | Inherited from BaseControlComponent [GraphicsComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/graphics.md).            |
| lineThickness: number | Yes/No  | No             | Inherited from BaseControlComponent [GraphicsComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/graphics.md).            |
| name: string          | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md). |

### Events

\| Event | Supported | Parameter | Details |

### Functions

Function | Supported | Details


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/window-components/w-line.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
